# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ # Include the results of the hardware scan.

      ../modules/base.nix
      ../modules/mail.nix
    ];


  boot.isContainer = true;
  boot.loader.initScript.enable = true;

  networking = {
	interfaces.eth0.ipv4.addresses = [{ address = "172.20.73.42"; prefixLength = 26; }];
    	defaultGateway = "172.20.73.1";
    	nameservers = [ "172.20.73.8" "9.9.9.9" ];
    	hostName = lib.mkDefault "mailtngbert";
    	useDHCP = false;
    	interfaces.eth0.useDHCP = false;
  	firewall.allowedTCPPorts = [ 22 ];
  };

  nix = {
    useSandbox = false;
    extraOptions = "experimental-features = nix-command flakes";
    package = pkgs.nixFlakes;
  };

  # Set your time zone.
  time.timeZone = "Europe/Berlin";

  # Configure network proxy if necessary
  # networking.proxy.default = "http://user:password@proxy:port/";
  # networking.proxy.noProxy = "127.0.0.1,localhost,internal.domain";


  # Open ports in the firewall.
  # networking.firewall.allowedTCPPorts = [ ... ];
  # networking.firewall.allowedUDPPorts = [ ... ];
  # Or disable the firewall altogether.
  # networking.firewall.enable = false;

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "20.11"; # Did you read the comment?

}

