{ pkgs, lib, config, ... }:

{
  _module.args.buildVM = false;

  # use Nix 2.4 for flakes support
#  nix = {
#    package = pkgs.nix_2_4;
#    extraOptions = ''
#      experimental-features = nix-command flakes
#     '';
#  };

  users.users.root = {
    openssh.authorizedKeys.keyFiles = [
      ./keys/revol-xut
      ./keys/nek0
    ];
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    atop
    fish
    git
    htop
    tmux
    vim_configurable
    wget 
    neovim
];

  # Enable the OpenSSH daemon.
  services.openssh.enable = true;
  services.openssh.passwordAuthentication = false;
  services.openssh.permitRootLogin = "without-password";
}
